<DOCTYPE html>
    <html lang="en">
      <head>
         <!--provides metadata for our webpage -->
        <meta charset="utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name = "viewport" content="width = device - width, initial-scale=1.0">
        <title>Houston Resale shop all</title>
        <!--Google font-->
        <link href="https://fonts.googleapis.com/css2?family=Rock+Salt&display=swap" rel="stylesheet">
        <!--bootstrap 5-->
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-BmbxuPwQa2lc/FVzBcNJ7UAyJxM6wuqIj61tLrc4wSX0szH/Ev+nYRRuWlolflfl" crossorigin="anonymous">
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/js/bootstrap.bundle.min.js" integrity="sha384-b5kHyXgcpbZJO/tY9Ul7kGkf1S0CWuKcCD38l8YkeH8z8QjE0GmW1gYU5S9FOnJ0" crossorigin="anonymous"></script>
      
        <!--css/ja-->
        <link href="./css/post-items-styles.css" rel="stylesheet" type = "text/css">
        
      </head>
        <body>
          <div>
            <nav class="navbar navbar-expand-lg navbar-light">   
                <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNavDarkDropdown" aria-controls="navbarNavDarkDropdown" aria-expanded="false" aria-label="Toggle navigation">
                  <span class="navbar-toggler-icon"></span>
                </button>
                <div class="collapse navbar-collapse" id="navbarNavDarkDropdown">
                  <ul class="navbar-nav ms-auto me-5">
                    <li class="nav-item dropdown ">
                      <h3>
                        <a class="nav-link dropdown-toggle" href="#" id="navbarDarkDropdownMenuLink" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                          Menu
                        </a>
                        <ul class="dropdown-menu dropdown-menu-dark" aria-labelledby="navbarDarkDropdownMenuLink">
                          <li><a class="dropdown-item" href="all-items.html" >Shop</a></li>
                          <li><a id="purchases-link" class="dropdown-item" href="all-purchased.html" hidden >Total Purchases</a></li>
                          <li><a id="alter-inventory-link" class="dropdown-item" href="alter-items.html" hidden>Alter Inventory</a></li>
                          <li><a id ="users-link" class="dropdown-item" href="all-users.html" hidden>All Users</a></li>
                          <li><a class="dropdown-item" href="create-acct.html">Create Account</a></li>
                          <li><a class="dropdown-item" href="#">Contact us</a></li>
                          <li><a id="login-link" class="dropdown-item" href="login.html">Login</a></li>
                          <li><a id="sign-off-link" class="dropdown-item" href="login.html" hidden>Sign Off</a></li>
                          <li><a class="dropdown-item" href="p1ResaleStore.html">Home</a></li>
                        </ul>
                        </ul>
                      </h3>
                    </li>
                  </ul>
                </div>
            </nav>
          </div>  
            <!-- Modal -->
            <div class="modal fade" id="staticBackdrop" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
              <div class="modal-dialog">
                <div class="modal-content">
                  <div class="modal-header">
                    <h5 class="modal-title" id="staticBackdropLabel">User Altered</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                  </div>
                  <div id="alter-item-msg" style="text-align: center;" class="modal-body">
                   User Updated
                  </div>
                  <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                  </div>
                </div>
              </div>
            </div>
            <h3 id="directions">Please select option, fill out form and click submit </h3>
            <form id="post-form" class="container">
              <div class="form-check">
                <input class="form-check-input" type="radio" name="alter-options" id="update-user" value="option1">
                <label class="form-check-label" for="update-user">
                  Update User
                </label>
              </div>
              <div class="form-check">
                <input class="form-check-input" type="radio" name="alter-options" id="remove-user" value="option2">
                <label class="form-check-label" for="remove-user">
                  Remove User
                </label>
              </div>

                <!--div  class="row mb-1"-->
                <div id="id"class="row mb-1">
                  <label for="user-id" class="col-sm-2 col-form-label">ID</label>
                  <div class="col-sm-10">
                    <input type="text" class="form-control" id="user-id">
                  </div>
                </div>
                <div id="user-role"class="row mb-1">
                  <label for="role" class="col-sm-2 col-form-label">Role</label>
                  <div class="col-sm-10">
                    <input type="text" class="form-control" id="role">
                  </div>
                </div>
                <div id="user-fn" class="row mb-1">
                  <label for="firstname" class="col-sm-2 col-form-label">Firstname</label>
                  <div class="col-sm-10">
                    <input type="text" class="form-control" id="firstname">
                  </div>
                </div>
                <div id="user-ln" class="row mb-1">
                  <label for="lastname" class="col-sm-2 col-form-label">Lastname</label>
                  <div class="col-sm-10">
                    <input type="text" class="form-control" id="lastname">
                  </div>
                </div>
                <div id="user-address" class="row mb-1">
                    <label for="address" class="col-sm-2 col-form-label">Address</label>
                    <div class="col-sm-10">
                      <input type="text" class="form-control" id="address">
                    </div>
                  </div>
                  <div  id="user-email" class="row mb-1">
                    <label for="email" class="col-sm-2 col-form-label">Email</label>
                    <div class="col-sm-10">
                      <input type="text" class="form-control" id="email">
                    </div>
                  </div>               
                <button data-bs-toggle="modal" data-bs-target="#staticBackdrop" style="min-width: 80px;" type="submit" class="btn btn-primary" id="update-user-submit">Update User</button>
                <button style="min-width: 80px;" type="submit" class="btn btn-primary" id="remove-user-submit" hidden>Remove User</button>

              </form>
              <script src="./js/nav-bar.js"></script>;
              <script src="./js/alter-user.js"></script>
             
        </body>
    </html>  